<?PHP

define('ADFC_API_SERVER1', 'https://www.adfc-tour.de/touren.php?');
define('ADFC_API_SERVER2', 'http://api.adfc-tour.de/touren.php?');

function hole_rss_data2 ($organisation, $parameter) {
  ini_set('user_agent', "$organisation Tourenprogramm");

  // verwende eine Cache-Datei aus dem lokalen temporÃ¤ren Verzeichnis, 
  // wenn diese nicht aelter als 3600 sec ist.
  $cachefile=sys_get_temp_dir() . "/rss_cache_". 
    strtr($parameter,"/\:?& ", "______");
  
  $dom = new DOMDocument();
  $usecache=0;
  if (file_exists($cachefile)
  &&  ((time()-filemtime($cachefile)) < 3600)) {
      //echo "<!-- verwende Cache-Datei, die ".
      //(time()-filemtime($cachefile)) ." s alt ist -->\n";
    $usecache=1;
    $dom->load($cachefile);
  } else {
      $parameter='ausgabe=rssx&'.$parameter;      
      # hole Daten vom offiziellen Server
      $string=
          file_get_contents(ADFC_API_SERVER1.$parameter);
      if ($string === false) {
          # hole Daten vom sekundären Server
          echo "<!-- Fehler beim Zugriff auf den offiziellen Server".
              ADFC_API_SERVER1."-->\n";
          $string=
              file_get_contents(ADFC_API_SERVER2.$parameter);
          if ($string === false) {
              die ("keine Verbindung zum ADFC-Server");
          }
      }
      $dom->loadXML($string);
  }
  
  $output=array();

  $xpath = new DOMXpath($dom);
  $queryResult =$xpath->query("//item");
  foreach($queryResult as $item) {
    $tour=array();
    //$tour["titel"]=$item->getElementsByTagName("title")->item(0)->nodeValue;
    foreach($item->childNodes as $child) {
      if(($child->nodeName == "#text")) {
	//nix
      } elseif ($child->hasAttribute("src")) {
	$tour[$child->nodeName]=$child->getAttribute("src");	
      } else {
	$tour[$child->nodeName]=$child->nodeValue;
      }
    }
    
    $output[]=$tour;
  }

  if (!$usecache) {
    $dom->save($cachefile,0);
  }
  return $output;
}

?>