<?php

// definiere privaten Schlüssel und Organisation in eigener Datei oder hier:
// define ("PRIVAT_SCHLUESSEL", '');
// define ("ORGANISATION", "ADFC Frankfurt");
require_once (dirname(__FILE__) . '/parameter.php');

require_once (dirname(__FILE__) . '/json.php');
require_once (dirname(__FILE__) . '/rss-client.php');


///////////////////////

header('Content-Type: application/json; charset=utf-8');
// Short-circuit if the client did not give us a date range.
if (!isset($_GET['start']) || !isset($_GET['end'])) {
	errorstop("Please provide a date range.");
}

// Parse the start/end parameters.
// These are assumed to be ISO8601 strings with no time nor timezone, like "2013-12-29".
// Since no timezone will be present, they will parsed as UTC.
$range_start = $_GET['start'];
$start=substr($range_start,8,2).".".
    substr($range_start,5,2).".".
    substr($range_start,0,4);
$range_end = $_GET['end'];
$end=substr($range_end,8,2).".".
    substr($range_end,5,2).".".
    substr($range_end,0,4);

$termine=hole_rss_data2(ORGANISATION,
"privat_schluessel=".PRIVAT_SCHLUESSEL."&maxanzahl=100&".
"datum_min=$start&datum_max=$end"
);

class Event {}
$events = array();
foreach ($termine as $termin) {
    $e = new Event();
    //$e->id = $row['id'];
    $e->title =  $termin['title'];
    $e->start = $termin['details-date'];
    if($termin['details-date-end'] == "") {
        $e->end = $termin['details-datum'];
    } else {
        $e->end = $termin['details-date-end'];
    }

    switch ( $termin['details-status-durchfuehrung']) {
    case 0:
        $e->color="#EE7F00";
        break;
    case 1:
        $e->color="#bbbb00";
        break;
    case 2:
        $e->color="#008800";
        break;
    }
  
    $e->tooltip=
        $termin['title']. "\n".
        $termin['details-kategorie']. "\n".
        $termin['details-schwierigkeit-val']  ;

    $e->url=$termin['link'];
    $events[] = $e;
}
echo json_encode($events,JSON_PRETTY_PRINT);

?>